package com.video.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.video.model.pojo.SystemMenu;
import com.video.model.utils.CommonResult;
import com.video.model.vo.SystemMenuVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-03-30
 */
public interface SystemMenuService extends IService<SystemMenu> {

    public CommonResult<List<SystemMenu>> getSystemMenus();

    public CommonResult insertSystemMenus(SystemMenu systemMenu);

    public CommonResult deleteSystemMenu(Integer userID);

    public CommonResult<List<SystemMenu>> getSystemMenusByParentId(Long parentId);

    //新增播放记录
    public CommonResult<Integer> insertPlaybackRecord(SystemMenu systemMenu);

    public CommonResult<List<SystemMenu>> getPlaybackRecords();

    public CommonResult<List<SystemMenuVo>> getPlaybackRecordBySql();
}
